summaryrefslogtreecommitdiff
path: root/polux/application/agent/test/script/shell/test_snmp.sh
diff options
context:
space:
mode:
Diffstat (limited to 'polux/application/agent/test/script/shell/test_snmp.sh')
-rwxr-xr-xpolux/application/agent/test/script/shell/test_snmp.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/polux/application/agent/test/script/shell/test_snmp.sh b/polux/application/agent/test/script/shell/test_snmp.sh
new file mode 100755
index 0000000000..cf1ec79e60
--- /dev/null
+++ b/polux/application/agent/test/script/shell/test_snmp.sh
@@ -0,0 +1,10 @@
+#! /bin/bash
+
+if [ $# = 0 ]
+ then
+ echo "Usage: launch this script with the modem IP address as command line argument"
+ exit 1
+fi
+
+snmpget -v 1 -c public $1 system.sysUpTime.0
+snmpwalk -v 1 -c public $1 > test_snmp.sh.txt